
stages:          # List of stages for jobs, and their order of execution
  - test
  - deploy

lint-test-job:   # This job also runs in the test stage.
  stage: test    # It can run at the same time as unit-test-job (in parallel).
  tags: 
    - gitlab
  script:
    # ansible-lint-junit: put into a format interpretable by gitlab
    - ansible-lint -p ping.yml lamp.yml phpmyadmin.yml | ansible-lint-junit -o ansible-lint.yml || true
  artifacts:
    when: always
    reports:
      junit: ansible-lint.yml

deploy-job:      # This job runs in the deploy stage.
  stage: deploy  # It only runs when *both* jobs in the test stage complete successfully.
  tags: 
    - gitlab
  environment: production
  before_script: 
    - mkdir -p ~/.ssh
    - ssh-keyscan rocky.lxc debian.lxc >> ~/.ssh/known_hosts
    - echo "$SSH_PRIVATE_KEY" > ~/.ssh/id_rsa
    - chmod -R 0600 ~/.ssh/id_rsa
    - chmod -R 0700 ~/.ssh
  script:
    - ansible-playbook ping.yml -i hosts
    - ansible-playbook lamp.yml -i hosts -e"state=present"
    - ansible-playbook phpmyadmin.yml -i hosts
